
QGIS Application - Bug report #14283

various crashes in georeferencer

2016-02-12 03:19 AM - Fabien Cerbelaud

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:2.14.1 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22277

Description

Hi, since version 2.10 when I try to georeference in QGIS with the plugin "GDAL Georeferencer" there are so many bugs. QGIS closes

without reason. It's working on 2.8, but the 2 new versions have problems.

History

#1 - 2016-02-12 04:03 AM - Nyall Dawson

- Status changed from Open to Feedback

We'll need a lot more to go on then that. Can you please provide exact steps to duplicate, preferably with test data attached too.

#2 - 2016-02-12 05:03 AM - Giovanni Manghi

- Category set to C++ plugins/Georeferencer

- Priority changed from High to Normal

#3 - 2016-02-15 01:19 AM - Fabien Cerbelaud

There is no particular reason to explain tehe bug, sometimes it's when I add a new point, sometimes when I zoom on a region....it's the same thing with

different data and I try it on many desktop. It's the same problem if I try to georeferencing map with coordinate or photo with coordinate from caneva...

#4 - 2016-02-15 04:11 AM - Jukka Rahkonen

The particular reason for explaining a bug is to find a way to reproduce the error so that developers have something to take a grip. It would help very much

if you could show step by step a procedure that makes georeferencer to crash with an attached image and list of ground control points.

#5 - 2016-02-25 02:02 PM - Jürgen Fischer

- Subject changed from Georefencer to various crashes in georeferencer

#6 - 2016-03-02 02:30 AM - Fabien Cerbelaud

- File 1974.jpg added

- File 1974.jpg.points added

For example if I open the georefenceur in qgis 2.10 and I add the 1974.jpg as raster in epsg 27572, I open the point associated to the raster. If i try to zoom

or dezoom many times or I try to move in the raster, after a very various time qgis crash.
#7 - 2016-04-05 01:41 AM - Fabien Cerbelaud

Hi, any news on this bug ?

#8 - 2016-04-05 04:45 AM - Nyall Dawson

Have you tested with 2.14.1?

#9 - 2016-04-05 05:17 AM - Fabien Cerbelaud

Yes same problem

#10 - 2016-05-23 05:23 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Affected QGIS version changed from 2.12.2 to 2.14.1

- Crashes QGIS or corrupts data changed from No to Yes

#11 - 2016-06-17 09:15 AM - Steve Lowman

- Target version set to Version 2.14

Similar issues observed with 2.14.3 on W10. The problem is intermittent, so it is quite difficult to create a reproducible set of steps.

#12 - 2016-06-17 09:18 AM - Steve Lowman

- Target version deleted (Version 2.14)

Apologies, I changed the Target version without knowing what this is for. So, now I changed it back to Null.

#13 - 2016-06-26 05:11 AM - Matthias Kuhn

I tried hard to reproduce, zooming and panning like crazy but it just would not crash (latest master).

Did you change any settings?

Can you try to reproduce when you start qgis with --configpath to a temporary path, so QGIS will use the default configuration for a test run.

#14 - 2016-06-26 05:14 AM - Matthias Kuhn

- Status changed from Open to Feedback

#15 - 2017-01-02 06:44 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
#16 - 2017-08-04 04:17 PM - Mattias Spangmyr

I have also experienced various crashes in the Georeferencer and today I gave it a shot at finding a reproducible set of steps.

I'm thinking this issue might be related to #15867 and #16243 as well.

The most basic steps I could find were:

    1. Create a bitmap image (.bmp)

        -  Tested MS Paint and GIMP 2.8.2

        -  Tested 16-32 bit color

    2. Add the .bmp to the Georeferencer

        -  Reproduced on same PC using both QGIS 2.18.6 and 2.18.11 but have been experiencing similar crashes since probably 2.4.x or even earlier

    3. Zoom in and out rapidly using the mouse scroll wheel

        -  I did not have to set any specific Georeferencer setting or add any GCPs

        -  Regardless of which methods (either transformation or resampling) or reference system (geographic or projected) that were set when starting

Georeferencer, the crash occurred eventually

            -  Using Linear/Nearest neighbour seemed to take longer to crash

I uninstalled 2.18.6 and installed 2.18.11-1 and had the same issues. However, when I tried installing 2.18.11-1 on a separate PC (same OS etc) that had

never had any QGIS installation previously, I couldn't reproduce the issue! So after that I uninstalled 2.18.11-1 (on the original PC that had the issues),

removed the .qgis2 folder, removed any registry keys related to QGIS I could find and cleared my temporary files folder (%userprofile

%\AppData\Local\Temp). Now, after again reinstalling 2.18.11-1 the crashes are gone!

This leads me to believe that there were some remnant settings or files from previous QGIS installations that were causing the issue.

Additional info

    -  DebugView logged "Warning: QWidget::repaint: Recursive repaint detected" 

    -  Windows' event log stated that the crash occurred in the application qgis-bin, version 0.0.0.0, and in the module QtGui4.dll, version 4.8.5.0

    -  I've had crashes with GeoTIFFs as well before, some of which were scanned images that were derived from BMPs at one point

    -  My OS: Windows 7 Enterprise SP1 64-bit

Files

1974.jpg 4.43 MB 2016-03-02 Fabien Cerbelaud

1974.jpg.points 2.15 KB 2016-03-02 Fabien Cerbelaud
